Unit tde11e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE11E_p, DE11E_p;

function tde11e: String;

implementation

function tde11e: String;
var
M,_i,IERR :Integer;
XK,H,XN,EPS,P,HMIN :Extended;
Y :Array [0..1] of Extended;
YP :Array [0..1] of Extended;
DELTY :Array [0..1] of Extended;
RAB :Array [0..3] of Extended;
begin
Result := '';  {   }
Y[0] := Sqrt(2.e0)/2.e0;
Y[1] := -Y[0];
XK := 3.1415926535897932384626433e0;
M := 2;
H := 0.01;
EPS := 3.E-5;
P := 1.E-6;
HMIN := 1.e-12;
XN := 0.75e0*XK;
DE11E(FDE11E,M,XN,Y,XK,HMIN,EPS,P,H,Y,YP,DELTY,RAB,IERR);
Result := Result + Format('%s',[' XK']);
Result := Result + Format('%s',['                       YK(1)']);
Result := Result + Format('%20.16f ',[XK]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[Y[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tde11e',Result);  {     tde11e.res }
exit;
end;

end.
